.TH wxMDIParentFrame 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxMDIParentFrame \- See external documentation: wxMDIParentFrame\&.
.SH DESCRIPTION
.LP
See external documentation: wxMDIParentFrame <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxFrame 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxMDIParentFrame()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxMDIParentFrame()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframewxmdiparentframe>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> wxMDIParentFrame()
.br
.RS
.LP
Equivalent to new(Parent, Id, Title, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> wxMDIParentFrame()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframewxmdiparentframe>\&.
.RE
.LP
.B
activateNext(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframeactivatenext>\&.
.RE
.LP
.B
activatePrevious(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframeactivateprevious>\&.
.RE
.LP
.B
arrangeIcons(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframearrangeicons>\&.
.RE
.LP
.B
cascade(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframecascade>\&.
.RE
.LP
.B
create(This::wxMDIParentFrame(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Title, [])\&.
.RE
.LP
.B
create(This::wxMDIParentFrame(), Parent::wxWindow() (see module wxWindow), Id::integer(), Title::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframecreate>\&.
.RE
.LP
.B
getActiveChild(This::wxMDIParentFrame()) -> wxMDIChildFrame() (see module wxMDIChildFrame)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframegetactivechild>\&.
.RE
.LP
.B
getClientWindow(This::wxMDIParentFrame()) -> wxMDIClientWindow() (see module wxMDIClientWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframegetclientwindow>\&.
.RE
.LP
.B
tile(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
Equivalent to tile(This, [])\&.
.RE
.LP
.B
tile(This::wxMDIParentFrame(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {orient, WxOrientation}
.br
WxOrientation = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxmdiparentframe\&.html#wxmdiparentframetile>\&. 
.br
 WxOrientation is one of ?wxHORIZONTAL | ?wxVERTICAL | ?wxBOTH
.RE
.LP
.B
destroy(This::wxMDIParentFrame()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
